> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mangopay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server.

# List all Intents

GET https://api.sandbox.mangopay.com/v3.0/{ClientId}/payins/intents

Retrieve a paginated list of Intents, with optional filters for provider, currency, date range, and status.

Reference: https://docs.mangopay.com/api-reference/intents/list-intents

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL.

## Servers

- `https://api.sandbox.mangopay.com` (Sandbox, default)
- `https://api.mangopay.com` (Production)
- `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox)
- `https://api-mtls.mangopay.com` (mTLS Production)

## Request

### Path parameters

- `ClientId` (string, required) — Platform's API account identifier, associated with the API key.

### Query parameters

- `BeforeDate` (integer, optional) — The date before which the object was created (based on the object's `CreationDate` parameter). You can filter on a specific time range by using both the `AfterDate` and `BeforeDate` query parameters.
- `AfterDate` (integer, optional) — The date after which the object was created (based on the object's `CreationDate` parameter). You can filter on a specific time range by using both the `AfterDate` and `BeforeDate` query parameters.
- `Status` (string, optional) — **Allowed values:** `AUTHORIZED`, `CAPTURED`, `PARTIALLY_CAPTURED`, `REFUNDED`, `REFUND_REVERSED`, `DISPUTED`, `DISPUTED_WON`, `DISPUTED_LOST`, `DEFENDED`, `CANCELLED` The status of the Intent. You can filter on multiple values by separating them with a comma.
- `ExternalProviderName` (string, optional) — The third-party PSP name to filter by.
- `Currency` (string, optional) — The three-letter ISO 4217 code of the currency to filter by.
- `page` (integer, optional) — Start value: `1` **Default value:** `1` Indicates the index of the page for the pagination.
- `per_page` (integer, optional) — Min. value: `1`; max. value: `100` **Default value:** `10` Indicates the number of items returned for each page of the pagination.

## Response

### 200

Success

- `list of ListAllIntentsResponseItems`

## Types

### ListAllIntentsResponseItems

- `Id` (string, optional) — The unique identifier of the intent.
- `Amount` (integer, optional) — The full amount authorized in the Intent.
- `Currency` (string, optional) — The currency of the intent.
- `Status` (string, optional) — The status of the Intent. Intent `Status` values: - `AUTHORIZED` – The Intent `Amount` was authorized for acquisition by the PSP and can be captured or canceled. - `PARTIALLY_CAPTURED` – Part of the Intent `Amount` from one or more `LineItems` was captured. - `CAPTURED` – All of the Intent `Amount` was captured. - `CANCELLED` – All of the Intent `Amount` was canceled. - `REFUNDED` – All of the `CapturedAmount` of all `LineItems` was refunded. - `REFUND_REVERSED` – The refund could not be completed and the funds were returned to the platform. - `DISPUTED` – All of the `CapturedAmount` of all `LineItems` was disputed. - `DEFENDED` – The dispute is being defended by the platform. - `DISPUTED_WON` – The dispute was resolved in favor of the platform. - `DISPUTED_LOST` – The dispute was resolved against the platform.
- `ExternalData` (ListAllIntentsResponseItemsExternalData, optional)
- `CreationDate` (integer, optional) — The date and time the Intent was created.
- `ExecutionDate` (integer, optional, nullable) — Unix timestamp (UTC) of the date and time the Intent moved to `AUTHORIZED`.

### ListAllIntentsResponseItemsExternalData

- `ExternalProcessingDate` (integer, optional) — The date the PSP processed the transaction.
- `ExternalProviderReference` (string, optional) — The unique reference of the transaction from the PSP.
- `ExternalProviderName` (string, optional) — The supported third-party PSP processing the transaction.
- `ExternalProviderPaymentMethod` (string, optional) — The payment method used for the transaction.

## Examples

**Response**

```json
[
  {
    "Id": "int_019bfa4f-60ba-7842-89c0-382066c072f1",
    "Amount": 20000,
    "Currency": "EUR",
    "Status": "CAPTURED",
    "ExternalData": {
      "ExternalProcessingDate": 1769431064,
      "ExternalProviderReference": "auth-stripe-36e34fd5-512f-4fb6-b4c2-3084ba3cd947",
      "ExternalProviderName": "Stripe",
      "ExternalProviderPaymentMethod": "MASTERCARD"
    },
    "CreationDate": 1769431064,
    "ExecutionDate": 1769431064
  },
  {
    "Id": "int_019c2a1b-84d2-7123-a5f1-9b3e7d2c8a01",
    "Amount": 50000,
    "Currency": "GBP",
    "Status": "AUTHORIZED",
    "ExternalData": {
      "ExternalProcessingDate": 1769344664,
      "ExternalProviderReference": "ADY-123456789",
      "ExternalProviderName": "Adyen",
      "ExternalProviderPaymentMethod": "VISA"
    },
    "CreationDate": 1769344664,
    "ExecutionDate": null
  }
]
```